[@rxap/window-system](../wiki/globals) / WindowToolBarComponent

# Class: WindowToolBarComponent\<D\>

Defined in: [packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts:33](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts#L33)

## Type Parameters

• **D**

## Constructors

### new WindowToolBarComponent()

> **new WindowToolBarComponent**\<`D`\>(`context`): [`WindowToolBarComponent`](../wiki/Class.WindowToolBarComponent)\<`D`\>

Defined in: [packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts:37](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts#L37)

#### Parameters

##### context

`any`

#### Returns

[`WindowToolBarComponent`](../wiki/Class.WindowToolBarComponent)\<`D`\>

## Properties

### windowRef

> **windowRef**: [`WindowRef`](../wiki/Class.WindowRef)\<`D`\>

Defined in: [packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts:35](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts#L35)
